Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357970 - [abrt] WARNING: CPU: 1 PID: 2161 at drivers/gpu/drm/radeon/radeon_cursor.c:198 radeon_cursor_move_locked+0x13d/0x4a0 [radeon]
Summary: [abrt] WARNING: CPU: 1 PID: 2161 at drivers/gpu/drm/radeon/radeon_cursor.c:19...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ae7e9c466ce2734964efb2e66b8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-19 17:07 UTC by Canyon Bliss
Modified: 2017-08-08 15:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:42:13 UTC


Attachments (Terms of Use)
File: dmesg (deleted)
2016-07-19 17:07 UTC, Canyon Bliss
no flags Details

Description Canyon Bliss 2016-07-19 17:07:27 UTC
Description of problem:
After login to Gnome (Wayland) from GDM.

Additional info:
reporter:       libreport-2.7.1
WARNING: CPU: 1 PID: 2161 at drivers/gpu/drm/radeon/radeon_cursor.c:198 radeon_cursor_move_locked+0x13d/0x4a0 [radeon]
Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_REJECT nf_reject_ipv6 xt_conntrack ip6t_rpfilter ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_raw iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security iptable_raw ebtable_filter ebtables ip6table_filter ip6_tables it87 hwmon_vid dm_crypt eeepc_wmi asus_wmi kvm_amd snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic kvm sparse_keymap rfkill irqbypass snd_hda_intel video snd_hda_codec snd_hda_core crct10dif_pclmul snd_hwdep mxm_wmi snd_seq snd_seq_device edac_mce_amd crc32_pclmul
 edac_core sp5100_tco ghash_clmulni_intel snd_pcm snd_timer snd k10temp fam15h_power i2c_piix4 soundcore joydev acpi_cpufreq tpm_infineon tpm_tis tpm shpchp wmi nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc raid456 libcrc32c async_raid6_recov async_memcpy async_pq async_xor xor async_tx raid6_pq uas usb_storage raid1 amdkfd amd_iommu_v2 radeon crc32c_intel r8169 serio_raw i2c_algo_bit mii drm_kms_helper ttm drm fjes
CPU: 1 PID: 2161 Comm: gnome-shell Not tainted 4.6.3-300.fc24.x86_64 #1
Hardware name: To be filled by O.E.M. To be filled by O.E.M./M5A99FX PRO R2.0, BIOS 2501 04/07/2014
 0000000000000286 00000000f751f451 ffff880817c7fc10 ffffffff813dbcff
 0000000000000000 0000000000000000 ffff880817c7fc50 ffffffff810a740b
 000000c600000000 ffff8808135fe000 ffff880814400000 0000000000000001
Call Trace:
 [<ffffffff813dbcff>] dump_stack+0x63/0x84
 [<ffffffff810a740b>] __warn+0xcb/0xf0
 [<ffffffff810a753d>] warn_slowpath_null+0x1d/0x20
 [<ffffffffc013ea5d>] radeon_cursor_move_locked+0x13d/0x4a0 [radeon]
 [<ffffffffc013f19f>] radeon_crtc_cursor_move+0x2f/0x50 [radeon]
 [<ffffffffc0029161>] drm_mode_cursor_common+0x131/0x180 [drm]
 [<ffffffff815504b8>] ? reservation_object_wait_timeout_rcu+0x2a8/0x2d0
 [<ffffffffc002c910>] drm_mode_cursor_ioctl+0x50/0x70 [drm]
 [<ffffffffc001d922>] drm_ioctl+0x152/0x540 [drm]
 [<ffffffffc002c8c0>] ? drm_mode_setcrtc+0x520/0x520 [drm]
 [<ffffffff81129ad4>] ? do_futex+0x2c4/0xb10
 [<ffffffffc011104f>] radeon_drm_ioctl+0x4f/0x90 [radeon]
 [<ffffffff8125d4a3>] do_vfs_ioctl+0xa3/0x5d0
 [<ffffffff8125da49>] SyS_ioctl+0x79/0x90
 [<ffffffff817dd3f2>] entry_SYSCALL_64_fastpath+0x1a/0xa4

Comment 1 Canyon Bliss 2016-07-19 17:07:34 UTC
Created attachment 1181747 [details]
File: dmesg

Comment 2 Chris Murphy 2016-08-31 21:33:56 UTC
Description of problem:
No idea, just noticed a call trace in kernel messages WARNING: CPU: 0 PID: 1656 at drivers/gpu/drm/radeon/radeon_cursor.c:198 radeon_cursor_move_locked+0x13d/0x4a0 [radeon]
CPU: 0 PID: 1656 Comm: gnome-shell Not tainted 4.8.0-0.rc4.git0.1.fc25.x86_64 #1
so I checked abrtgui, and found this problem listed.

Version-Release number of selected component:
kernel-core-4.8.0-0.rc4.git0.1.fc25

Additional info:
reporter:       libreport-2.7.2
cmdline:        BOOT_IMAGE=/root24w/boot/vmlinuz-4.8.0-0.rc4.git0.1.fc25.x86_64 root=UUID=dbf2e938-1f28-4e93-aa6c-1e193004931b rw rootflags=subvol=root24w hid-magicmouse.emulate_3button=0 radeon.modeset=1 i915.modeset=0 radeon.dpm=1 elevator=noop rhgb quiet
kernel:         4.8.0-0.rc4.git0.1.fc25.x86_64
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 1656 at drivers/gpu/drm/radeon/radeon_cursor.c:198 radeon_cursor_move_locked+0x13d/0x4a0 [radeon]
Modules linked in: hidp rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_broute bridge ebtable_nat ip6table_raw ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security iptable_raw iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep arc4 b43 mac80211 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel cfg80211 kvm ssb iTCO_wdt iTCO_vendor_support irqbypass crct10dif_pclmul crc32_pclmul joydev applesmc ghash_clmulni_intel intel_cstate input_polldev btusb snd_hda_codec_cirrus intel_uncore
 btrtl snd_hda_codec_generic btbcm snd_hda_codec_hdmi intel_rapl_perf btintel uvcvideo snd_hda_intel bluetooth snd_hda_codec videobuf2_vmalloc snd_hda_core videobuf2_memops i2c_i801 videobuf2_v4l2 snd_hwdep i2c_smbus videobuf2_core snd_seq rfkill snd_seq_device videodev snd_pcm acpi_als bcma bcm5974 media kfifo_buf thunderbolt sbs lpc_ich industrialio apple_gmux snd_timer sbshc snd mei_me soundcore tpm_tis mei apple_bl tpm_tis_core tpm shpchp nfsd auth_rpcgss nfs_acl lockd grace sunrpc btrfs hid_apple xor amdkfd amd_iommu_v2 radeon i915 raid6_pq hid_appleir 8021q garp stp llc mrp i2c_algo_bit drm_kms_helper ttm crc32c_intel drm tg3 sdhci_pci firewire_ohci sdhci mmc_core firewire_core ptp pps_core crc_itu_t video fjes
CPU: 0 PID: 1656 Comm: gnome-shell Not tainted 4.8.0-0.rc4.git0.1.fc25.x86_64 #1
Hardware name: Apple Inc. MacBookPro8,2/Mac-94245A3940C91C80, BIOS    MBP81.88Z.0047.B2C.1510261540 10/26/15
 0000000000000286 00000000514c96c5 ffffa32fa2da3c08 ffffffffba3e76cd
 0000000000000000 0000000000000000 ffffa32fa2da3c48 ffffffffba0a1d7b
 000000c600000000 ffffa32f9e423000 ffffa32fa1d28000 0000000000000001
Call Trace:
 [<ffffffffba3e76cd>] dump_stack+0x63/0x86
 [<ffffffffba0a1d7b>] __warn+0xcb/0xf0
 [<ffffffffba0a1ead>] warn_slowpath_null+0x1d/0x20
 [<ffffffffc073f8fd>] radeon_cursor_move_locked+0x13d/0x4a0 [radeon]
 [<ffffffffc074003f>] radeon_crtc_cursor_move+0x2f/0x50 [radeon]
 [<ffffffffc04af6f1>] drm_mode_cursor_common+0x131/0x180 [drm]
 [<ffffffffba567388>] ? reservation_object_wait_timeout_rcu+0x2b8/0x2f0
 [<ffffffffc04b3be0>] drm_mode_cursor_ioctl+0x50/0x70 [drm]
 [<ffffffffc04a5e22>] drm_ioctl+0x302/0x4d0 [drm]
 [<ffffffffc04b3b90>] ? drm_mode_setcrtc+0x580/0x580 [drm]
 [<ffffffffba126f94>] ? do_futex+0x2c4/0xaf0
 [<ffffffffc071204f>] radeon_drm_ioctl+0x4f/0x90 [radeon]
 [<ffffffffba266083>] do_vfs_ioctl+0xa3/0x620
 [<ffffffffba266679>] SyS_ioctl+0x79/0x90
 [<ffffffffba806032>] entry_SYSCALL_64_fastpath+0x1a/0xa4

Comment 3 Fedora End Of Life 2017-07-25 21:53:43 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 15:42:13 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.